Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages.ext.jsp
[Groovy] Class PageContextFactory

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.ext.jsp.PageContextFactory

    class PageContextFactory

Obtains a reference to the GroovyPagesPageContext class.

Authors:
  Graeme Rocher

Since:
  1.0

Property Summary
`static java.lang.Class` | `pageContextClass`

Method Summary
`static GroovyPagesPageContext` | `getCurrent()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### pageContextClass

    static java.lang.Class pageContextClass

Method Detail

### getCurrent

    static GroovyPagesPageContext getCurrent()

Groovy Documentation